Bug 1008168 - Uninformative message when trying to import VM while the MAC address pool is depleted
Uninformative message when trying to import VM while the MAC address pool is ...
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
x86_64 Linux
medium Severity medium
: ---
: 3.3.0
Assigned To: Moti Asayag
Meni Yakove
network
: Triaged
Depends On:
Blocks: 1019461 3.3snap2
  Show dependency treegraph
 
Reported: 2013-09-15 08:34 EDT by tgeft
Modified: 2016-02-10 14:50 EST (History)
11 users (show)

See Also:
Fixed In Version: is21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-31 12:39:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (342.39 KB, application/zip)
2013-09-15 08:36 EDT, tgeft
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20517 None None None Never
oVirt gerrit 20589 None None None Never

  None (edit)
Description tgeft 2013-09-15 08:34:51 EDT
Description of problem:

On a setup where the MAC address pool has been used up, trying to import a VM results in a generic failure message. The message doesn't mention the fact that there are not enough MAC addresses.


Version-Release number of selected component (if applicable):
3.3.0-0.19.master.el6ev

How reproducible:
100%

Steps to Reproduce:
1. Create NICs until the MAC address pool is depleted.
2. Try to import a VM.

Actual results:
The import appears to start but fails a few seconds with the following message in the log:

"Failed to import Vm VM1_Copy to Data Center DC_33, Cluster cluster_33"

Expected results:
There should be a pop up error stating that there are "Not enough MAC addresses left in MAC Address Pool." (the wording that is used in similar cases)

For new NICs on existing VMs, there is an option to specify a custom MAC address if there are not enough MAC addresses. It would be nice to allow entering a custom MAC address in this situation as well instead of blocking the import.


Additional info:
Comment 1 tgeft 2013-09-15 08:36:52 EDT
Created attachment 797882 [details]
engine log
Comment 3 Shai Revivo 2013-10-31 12:39:33 EDT
This bug was fixed and is slated to be in the upcoming version. As we are focusing our testing at this phase on severe bugs, this bug was closed without going through its verification step.

Note You need to log in before you can comment on or make changes to this bug.